Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2693703010: cc: Remove support for disabling non-root render surfaces. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by danakj
Modified:
1 week, 6 days ago
Reviewers:
ajuma, weiliangc
CC:
ajuma+watch_chromium.org, blink-reviews, blink-reviews-platform-graphics_chromium.org, boliu, Rik, cc-bugs_chromium.org, chromium-reviews, danakj+watch_chromium.org, dshwang, drott+blinkwatch_chromium.org, krit, f(malita), jbroman, Justin Novosad, kinuko+watch, pdr+graphicswatchlist_chromium.org, rwlbuis, Stephen Chennney
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

cc: Remove support for disabling non-root render surfaces. This mode was used by Android Webview to have everything draw into the root surface. However, the mode is no longer used making this code all dead as of https://codereview.chromium.org/2698793002/. Historically this mode existed because the compositor was in GL mode making allocating and using software resources for a software draw very awkward. Now the software draws are delegated to a separate cc::Display instance which is completely independent and able to deal with allocating and using software resources without being problematic. R=ajuma@chromium.org, weiliangc@chromium.org BUG=692780 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2693703010 Cr-Commit-Position: refs/heads/master@{#470399} Committed: https://chromium.googlesource.com/chromium/src/+/dc24211f2acd2182ec5ab009fcc03d8f448169d8

Patch Set 1 #

Patch Set 2 : softwaredraw-remove-no-surfaces: rebase #

Patch Set 3 : softwaredraw-remove-no-surfaces: rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -909 lines) Patch
M cc/layers/layer_impl.cc View 1 2 1 chunk +0 lines, -5 lines 0 comments Download
M cc/output/bsp_tree_perftest.cc View 1 2 3 chunks +2 lines, -6 lines 0 comments Download
M cc/trees/draw_property_utils.h View 1 2 1 chunk +1 line, -4 lines 0 comments Download
M cc/trees/draw_property_utils.cc View 1 2 5 chunks +7 lines, -34 lines 0 comments Download
M cc/trees/layer_tree_host.cc View 1 2 2 chunks +1 line, -3 lines 0 comments Download
M cc/trees/layer_tree_host_common.h View 1 2 2 chunks +0 lines, -2 lines 0 comments Download
M cc/trees/layer_tree_host_common.cc View 1 2 11 chunks +4 lines, -17 lines 0 comments Download
M cc/trees/layer_tree_host_common_perftest.cc View 1 2 3 chunks +2 lines, -8 lines 0 comments Download
M cc/trees/layer_tree_host_common_unittest.cc View 1 2 12 chunks +2 lines, -814 lines 0 comments Download
M cc/trees/layer_tree_impl.cc View 1 2 2 chunks +0 lines, -5 lines 0 comments Download
M cc/trees/property_tree.h View 1 2 2 chunks +1 line, -3 lines 0 comments Download
M cc/trees/property_tree.cc View 1 2 5 chunks +2 lines, -8 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   win_chromium_rel_ng   linux_android_rel_ng   win_chromium_x64_rel_ng   chromium_presubmit   linux_android_rel_ng   linux_trusty_blink_rel   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   mac_chromium_compile_dbg_ng   ios-device   linux_chromium_tsan_rel_ng   ios-device-xcode-clang   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   android_n5x_swarming_rel   linux_android_rel_ng   android_cronet   cast_shell_android   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   cast_shell_android   linux_trusty_blink_rel   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   cast_shell_linux   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   linux_android_rel_ng   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 39 (26 generated)
danakj
Probably don't review this yet cuz the patch it depends on has to get to ...
3 months ago (2017-02-15 22:38:12 UTC) #3
weiliangc
LGTM. \o/ This makes me so happy :D
3 months ago (2017-02-17 00:30:38 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2693703010/20001
2 months, 4 weeks ago (2017-02-23 19:42:47 UTC) #16
boliu
yeah this needs to wait until m58 goes stable, since webview beta channel is effectively ...
2 months, 4 weeks ago (2017-02-23 19:47:45 UTC) #19
danakj
Yep I'll ask for a re-review then. Thanks for looking!
2 months, 4 weeks ago (2017-02-23 20:11:19 UTC) #21
boliu
I think m58 has been stable long enough and haven't heard any major issues. So ...
2 weeks, 3 days ago (2017-05-05 20:23:57 UTC) #22
danakj
Ooh thanks I forgot :D On Fri, May 5, 2017 at 4:23 PM, <boliu@chromium.org> wrote: ...
2 weeks, 3 days ago (2017-05-05 20:26:35 UTC) #23
danakj
Ooh thanks I forgot :D On Fri, May 5, 2017 at 4:23 PM, <boliu@chromium.org> wrote: ...
2 weeks, 3 days ago (2017-05-05 20:26:36 UTC) #24
danakj
I've rebased and there was a lot of conflicts to resolve. Wei would you mind ...
2 weeks, 3 days ago (2017-05-05 20:57:54 UTC) #25
danakj
@weiliangc: ping
1 week, 6 days ago (2017-05-09 14:19:28 UTC) #30
weiliangc
On 2017/05/09 14:19:28, danakj wrote: > @weiliangc: ping LGTM. Sorry didn't realize there is new ...
1 week, 6 days ago (2017-05-09 15:41:15 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2693703010/40001
1 week, 6 days ago (2017-05-09 15:43:26 UTC) #36
commit-bot: I haz the power
1 week, 6 days ago (2017-05-09 18:58:45 UTC) #39
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/dc24211f2acd2182ec5ab009fcc0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06